From 04fc516d4797ece3ae3249e72ebd00cee61f6a46 Mon Sep 17 00:00:00 2001
From: "[ ]" <[ ]>
Date: Tue, 11 Nov 2025 05:50:32 +0900
Subject: [PATCH] Update to spice2x-25-10-07 (completed)
> adjust run configurations
> adjust cmake.sh
> adjust .gitignore
---
.gitignore | 1 -
.idea/.gitignore | 2 ++
.idea/runConfigurations/Deploy_Extra_x86_.xml | 1 +
.idea/runConfigurations/spicetools_stubs_cpusbxpkm.xml | 7 +++++++
cmake.sh | 2 +-
5 files changed, 11 insertions(+), 2 deletions(-)
create mode 100644 .idea/runConfigurations/spicetools_stubs_cpusbxpkm.xml
diff --git a/.gitignore b/.gitignore
index 5f29de8..8dfb3a6 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,7 +1,6 @@
.vscode/*
# JetBrains IDEs
-.idea
.idea_modules
*.iws
diff --git a/.idea/.gitignore b/.idea/.gitignore
index 13566b8..3588def 100644
--- a/.idea/.gitignore
+++ b/.idea/.gitignore
@@ -6,3 +6,5 @@
# Datasource local storage ignored files
/dataSources/
/dataSources.local.xml
+# Unnecessary plugin data
+/markdown-navigator.xml
diff --git a/.idea/runConfigurations/Deploy_Extra_x86_.xml b/.idea/runConfigurations/Deploy_Extra_x86_.xml
index 1943362..1789f39 100644
--- a/.idea/runConfigurations/Deploy_Extra_x86_.xml
+++ b/.idea/runConfigurations/Deploy_Extra_x86_.xml
@@ -16,6 +16,7 @@
+
diff --git a/.idea/runConfigurations/spicetools_stubs_cpusbxpkm.xml b/.idea/runConfigurations/spicetools_stubs_cpusbxpkm.xml
new file mode 100644
index 0000000..167d0da
--- /dev/null
+++ b/.idea/runConfigurations/spicetools_stubs_cpusbxpkm.xml
@@ -0,0 +1,7 @@
+
+
+
+
+
+
+
\ No newline at end of file
diff --git a/cmake.sh b/cmake.sh
index 35da61c..bb154f8 100755
--- a/cmake.sh
+++ b/cmake.sh
@@ -63,7 +63,7 @@ run_distribute_all() {
# Sanity checks
[ -d "external/cmake-various/toolchain" ] || { echo "Toolchain not found" ; exit 1; }
-[ "$(md5sum ./build_all.sh | cut -c -32)" = "a0665866b9aa2a11606cb4765eed97d9" ] || { echo "Version mismatch for build_all.sh " ; exit 1; }
+[ "$(md5sum ./build_all.sh | cut -c -32)" = "652956b12cf63f2c7900c1a9b36bc031" ] || { echo "Version mismatch for build_all.sh " ; exit 1; }
# Run requested task
if [[ $(type -t "run_${1}_${2}") == function ]]; then